
//interaktyvios uzduoties, kurioje naudojami radio buttons, pagal paduota teisinga atsakyma jis pazymimas. Yra keli tipai (dydziai)
function showError(element, correct, incorrect, type, test, id) {
    if ($('input:radio[name="toggle' + element + '"]:checked').val() !== correct) {
        tries = 0;
        if (type === "under_img") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "16px 0px")
                    .css("top", "-18px")
                    .css("position", "relative");

            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "16px 0px")
                        .css("top", "-22px")
                        .css("position", "relative");

            }
        }
        else if (type === "large") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "27px 0px")
                    .css("top", "-19px")
                    .css("position", "relative");

            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "26px 0px")
                        .css("top", "-22px")
                        .css("position", "relative");

            }
        }
        else if (type === "history") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "13px 23px")
                    .css("top", "-18px")
                    .css("position", "relative");

            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "14px 20px")
                        .css("top", "-23px")
                        .css("position", "relative")
                        .css("marginTop", "0");

            }
        }
        else if (type === "pramone") {
            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
        }
        else if (type === "dot") {
            $("#corr_dot").fadeIn();
        }
        else {

            $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                    .css("padding", "10px 0px")
                    .css("top", "-18px")
                    .css("position", "relative");



            //Detect iPod
            if (navigator.userAgent.match(/iPad/i) != null) {
                $('input:radio[name="toggle' + element + '"][value="' + correct + '"]').next('span').css("border", "solid 3px green")
                        .css("padding", "10px 0px")
                        .css("top", "-22px")
                        .css("position", "relative");

            }



        }
    }
}

function getDropDownAnswers(count, showError) {
    var i;
    var corranswrs = 0;

    for (i = 1; i <= count; i++) {
        correct = $("#list" + i + "_this").text();
        selected = $("#list" + i + "_txt").text();

        if (correct.toLowerCase() !== selected.toLowerCase()) {
            corranswrs = corranswrs + 1;

            if (showError === 1) {
                $("#list" + i).css("border", "3px solid green");
                $("#list" + i + "_txt").text($("#list" + i + "_this").text());
            }
        }
        else {
            $("#list" + i).css("border", "0px");
        }
    }

    if (showError === 1) {
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();
        $(".correct_test").fadeOut();
    }
    else {
        if (corranswrs > 0) {
            $(".black_overlay").fadeIn();
            $(".incorrect_test").fadeIn();
        }
        else {
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
    }
}

//paduodamas atsakymu skaicius, teisingo atsakymo value, neteisingu atsakymu value ir is ju sprendzia ar atsakymas teisingas.
function getAnswers(answrs, correct, incorrect, show, type, test, id, atsKiekis) {
    tries = 0;
    localStorage.setItem('answerCount' + id, atsKiekis);

    var errorCounter = 0;

    for (var i = 1; i <= answrs; i++) {

        if ($("input:radio[name='toggle" + i + "']").is(':checked')) {
            tries++;

        }

        if ($('input:radio[name="toggle' + i + '"]:checked').val() === correct) {

            if (type === "large") {
                $('input:radio[name="toggle' + i + '"][value="' + correct + '"]').next('span').css("border", "0px").css("padding", "29px 0px");
            }
            else if (type === "under_img") {
                $('input:radio[name="toggle' + i + '"][value="' + correct + '"]').next('span').css("border", "0px").css("padding", "19px 0px").css("top", "-18px");
            }
            else if (type === "history") {
                $('input:radio[name="toggle' + i + '"][value="' + correct + '"]').next('span').css("border", "0px").css("padding", "16px 23px");

            }
            else if (type === "pramone") {
                $('input:radio[name="toggle' + i + '"][value="' + correct + '"]').next('span').css("border", "0px").css("padding", "16px 22px")
                        .css("top", "-19px")
                        .css("position", "relative");

            }
            else if (type === "dot") {
                $("#corr_dot").fadeOut();
            }
            else {
                $('input:radio[name="toggle' + i + '"][value="' + correct + '"]').next('span').css("border", "0px").css("padding", "17px 22px");
            }

        }
        else {

            errorCounter++;
            if (show === "1") {
                showError(i, correct, incorrect, type, test, id);
            }
        }
    }

    if (test == 1) {

        if (tries == answrs) {
            localStorage.setItem('color' + id, '#5c9e00');

        }
        if (tries < answrs && tries > 0) {
            localStorage.setItem('color' + id, '#ffa70f');

        }

        if (tries == 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        if (type == "pramone") {

            if (errorCounter == 3) {
                localStorage.setItem('result' + id, 1);
            }

        }
        else {
            if (errorCounter == 0) {

                localStorage.setItem('result' + id, 1);
            }
        }

        localStorage.setItem('resultCount' + id, atsKiekis - errorCounter);

    }
    else {
        if (type === "pramone") {
            if (errorCounter === 3) {
                $(".black_overlay").fadeIn();
                $(".correct_test").fadeIn();
                return false;
            }
        }
        if (errorCounter === 0) {
            $(".black_overlay").fadeIn();
            $(".correct_test").fadeIn();
        }
        else {
            if (show === "1") {
                $(".black_overlay").fadeOut();
                $(".incorrect_test").fadeOut();
            }
            else {
                $(".black_overlay").fadeIn();
                $(".incorrect_test").fadeIn();
            }
        }
    }
}

//uzdaro atsakymo tikrinimo langa
$(document).ready(function() {
    $(".close_corr").click(function() {
        $(".black_overlay").fadeOut();
        $(".incorrect_test").fadeOut();
        $(".correct_test").fadeOut();
    });
});

$(document).ready(function() {
    $("#corr_dot").click(function() {
        $('input:radio[id="slctbl"]').attr("checked", true);
    });
});

//gauna aktyvaus html failo varda ir kreipiasi i setSeen, kuri cookiuose issaugo kaip perziureta puslapi
$(document).ready(function() {
    var filename = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    filename = filename.match(/([^\/]+)(?=\.\w+$)/)[0];
    setSeen(filename);
});

//nusistato ar tai potemiu puslapis
$(document).ready(function() {
    var filename = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    filename = filename.match(/([^\/]+)(?=\.\w+$)/)[0];
    if (filename === "teorine_medziaga_index") {
        if ($.cookie("teorine_medziaga_1") === "1") {
            setTeorineBlockSeen();
        }
    }
});

//teorine_medziaga_index.html aprasymo rodymas/slepimas
$(document).ready(function() {
    $("#note_hide").click(function() {
        $("#note").removeClass("note_ico_active");
        $("#note_txt").slideUp("slow");
    });

    $("#note").click(function() {
        $("#hat").removeClass("hat_ico_active");
        $("#mok").removeClass("hat_ico_active");
        $("#note").addClass("note_ico_active");
        $("#hat_txt").slideUp("slow");
        $("#note_txt").slideDown("slow");
        $("#mok_txt").slideUp("slow");
    });
});

$(document).ready(function() {
    $("#hat_hide").click(function() {
        $("#hat").removeClass("hat_ico_active");
        $("#hat_txt").slideUp("slow");
    });

    $("#hat").click(function() {
        $("#note").removeClass("note_ico_active");
        $("#mok").removeClass("hat_ico_active");
        $("#hat").addClass("hat_ico_active");
        $("#note_txt").slideUp("slow");
        $("#hat_txt").slideDown("slow");
        $("#mok_txt").slideUp("slow");
    });
});

$(document).ready(function() {
    $("#mok_hide").click(function() {
        $("#mok").removeClass("hat_ico_active");
        $("#mok_txt").slideUp("slow");
    });

    $("#mok").click(function() {
        $("#note").removeClass("note_ico_active");
        $("#mok").addClass("hat_ico_active");
        $("#hat").removeClass("hat_ico_active");
        $("#note_txt").slideUp("slow");
        $("#hat_txt").slideUp("slow");
        $("#mok_txt").slideDown("slow");
    });
});

//teorine_medziaga_5.html spaudziant ant legendos desineje, rodomo/isjungiami zemelapio elementai
$(document).ready(function() {

    $("#debesuotumas_main").click(function() {
        $("#debesuotumas").slideToggle();
    });

    $("#vejas_main").click(function() {
        $("#vejas").slideToggle();
    });

    $("#orai_main").click(function() {
        $("#orai").slideToggle();
    });

    $("#silta_button").click(function() {
        if (document.getElementById("silta1").style.visibility === 'visible') {
            $("#silta1").css("visibility", "hidden");
        }
        else {
            $("#silta1").css("visibility", "visible");
        }
        if (document.getElementById("silta2").style.visibility === 'visible') {
            $("#silta2").css("visibility", "hidden");
        }
        else {
            $("#silta2").css("visibility", "visible");
        }
        if (document.getElementById("silta3").style.visibility === 'visible') {
            $("#silta3").css("visibility", "hidden");
        }
        else {
            $("#silta3").css("visibility", "visible");
        }
    });

    $("#okliuzija_button").click(function() {
        if (document.getElementById("okliuzija3").style.visibility === 'visible') {
            $("#okliuzija3").css("visibility", "hidden");
        }
        else {
            $("#okliuzija3").css("visibility", "visible");
        }
    });

    $("#salta_button").click(function() {
        if (document.getElementById("salta1").style.visibility === 'visible') {
            $("#salta1").css("visibility", "hidden");
        }
        else {
            $("#salta1").css("visibility", "visible");
        }
        if (document.getElementById("salta2").style.visibility === 'visible') {
            $("#salta2").css("visibility", "hidden");
        }
        else {
            $("#salta2").css("visibility", "visible");
        }
        if (document.getElementById("salta3").style.visibility === 'visible') {
            $("#salta3").css("visibility", "hidden");
        }
        else {
            $("#salta3").css("visibility", "visible");
        }
    });

});


$(document).ready(function() {
    $("#hat_hide").click(function() {
        $("#hat_txt").slideUp("slow");
    });

    $("#hat").click(function() {
        $("#hat_txt").slideDown("slow");
    });
});

//paspaudus mygtuka keicia jo klase, pakeicia paveiksleli ir jo aprasymas
$(document).ready(function() {

    $("#change_pic_first").click(function() {
        $("#second_pic").fadeOut(function() {
            $("#first_pic").fadeIn();
            $("#change_pic_first").removeClass('change_pic_button_active');
            $("#change_pic_second").removeClass('change_pic_button');
            $("#change_pic_second").removeClass('change_pic_button_active');
            $("#change_pic_first").removeClass('change_pic_button');
            $("#change_pic_first").addClass('change_pic_button_active');
            $("#change_pic_second").addClass('change_pic_button');
        });
    });

    $("#change_pic_second").click(function() {
        $("#first_pic").fadeOut(function() {
            $("#second_pic").fadeIn();
            $("#change_pic_second").removeClass('change_pic_button_active');
            $("#change_pic_first").removeClass('change_pic_button');
            $("#change_pic_first").removeClass('change_pic_button_active');
            $("#change_pic_second").removeClass('change_pic_button');
            $("#change_pic_second").addClass('change_pic_button_active');
            $("#change_pic_first").addClass('change_pic_button');
        });
    });

    $("#change_pic_1").click(function() {
        $("#change_pic_1").removeClass('change_pic_button_active');
        $("#change_pic_2").removeClass('change_pic_button');
        $("#change_pic_2").removeClass('change_pic_button_active');
        $("#change_pic_1").removeClass('change_pic_button');
        $("#change_pic_1").addClass('change_pic_button_active');
        $("#change_pic_2").addClass('change_pic_button');
        if (document.getElementById("change_text2")) {
            document.getElementById("change_text2").style.display = "block";
            document.getElementById("change_text1").style.display = "none";
        }
        $("#second_pic").css("visibility", "visible").stop(true).animate({"opacity": "1", "visibility": "visible"}, 400);
    });
    $("#change_pic_2").click(function() {
        $("#change_pic_2").removeClass('change_pic_button_active');
        $("#change_pic_1").removeClass('change_pic_button');
        $("#change_pic_1").removeClass('change_pic_button_active');
        $("#change_pic_2").removeClass('change_pic_button');
        $("#change_pic_2").addClass('change_pic_button_active');
        $("#change_pic_1").addClass('change_pic_button');
        if (document.getElementById("change_text2")) {
            document.getElementById("change_text1").style.display = "block";
            document.getElementById("change_text2").style.display = "none";
        }
        $("#second_pic").stop(true).animate({"opacity": "0", "visibility": "hidden"}, 800);
    });
});

//paspaudus mygtuka keicia jo klase, pakeicia paveiksleli ir jo aprasymas
$(document).ready(function() {
    $("#change_pic_small1").click(function() {
        document.getElementById("change_pic_small1").style.background = "url('img/change_pic_button_small_active.png') no-repeat";
        document.getElementById("change_pic_small2").style.background = "url('img/change_pic_button_small.png') no-repeat";
        $("#second_pic").css("visibility", "visible").stop(true).animate({"opacity": "1", "visibility": "visible"}, 400);
    });
    $("#change_pic_small2").click(function() {
        document.getElementById("change_pic_small2").style.background = "url('img/change_pic_button_small_active.png') no-repeat";
        document.getElementById("change_pic_small1").style.background = "url('img/change_pic_button_small.png') no-repeat";
        $("#second_pic").stop(true).animate({"opacity": "0", "visibility": "hidden"}, 800);
    });
});

//
// KETURIU IMG UZDUOTIS - funkcija kad butu pazymeti tik 2, seniausias pazymetas isnyksta paspaudus nauja
//
$(document).ready(function() {
    var myArray = [];

    imgClicked = 0;

    $("div.img_select_block").click(function() {

        $(this).find("div.img_selected").toggle('clip', {}, 500);
        y = $(this).attr('id');

        imgClicked++;

        if ($(this).data('mode') == "mono") {

            if ($(this).attr('id') != myArray[0] && $(this).attr('id') != myArray[1] && $(this).attr('id') != myArray[2] && $(this).attr('id') != myArray[3]) {


                myArray.push($(this).attr('id'));
                if (myArray.length == 2) {
                    $("#" + myArray[0]).find("div.img_selected").toggle('clip', {}, 500);
                    myArray.shift();
                    imgClicked--;
                }
            }

            else {
                myArray = jQuery.grep(myArray, function(value)
                {
                    return value != y;
                });
            }

        }
        else {
            if ($(this).attr('id') != myArray[0] && $(this).attr('id') != myArray[1] && $(this).attr('id') != myArray[2] && $(this).attr('id') != myArray[3]) {


                myArray.push($(this).attr('id'));
                if (myArray.length == 3) {
                    $("#" + myArray[0]).find("div.img_selected").toggle('clip', {}, 500);
                    myArray.shift();
                    imgClicked--;
                }
            }
            else {
                myArray = jQuery.grep(myArray, function(value)
                {
                    return value != y;
                });
            }
        }
    });
});
//
// END
//

//
// KETURIU IMG UZDUOTIES TIKRINIMAS - html getAnswersImg(ar tikrina teisingus atsakmus (0 ne, 1 taip), teisingo img ID, teisingo img ID)
// Jei teisingas tik 1 img, abu teisingo imd id vienodus ivedus turetu veikt
//
function getAnswersImg(answ, correct1, correct2, test, id) {
    $(".correct_test").fadeOut();
    tries = 0;
    var correct = 0;

    tries = window.imgClicked;

    if (answ == 1) {
        $("#" + correct1).css('box-sizing', 'border-box');
        $("#" + correct2).css('box-sizing', 'border-box');
        $("#" + correct1).css({borderColor: 'green', borderWidth: '3px'});
        $("#" + correct2).css({borderColor: 'green', borderWidth: '3px'});
    } else {
        if ($("#" + correct1 + " > .img_selected").css('display') == "block") {
            correct++;
        }
        if ($("#" + correct2 + " > .img_selected").css('display') == "block") {
            correct++;
        }
    }

    if (test == 1) {

        if (tries === 1) {
            localStorage.setItem('color' + id, '#5c9e00');
        }

        if (tries === 0) {
            localStorage.setItem('color' + id, '#c2c2c2');
        }

        if (correct == 2) {
            localStorage.setItem('result' + id, 1);
        }

        localStorage.setItem('resultCount' + id, correct);

    }
    else {
        if (correct === 2) {
            $(".black_overlay").fadeIn();
            $(".black_overlay > .correct_test").fadeIn();
        }
        else {
            if (answ == 1) {
                $(".black_overlay").fadeOut();
                $(".correct_test").fadeOut();
                $(".incorrect_test").fadeOut();
            }
            else {
                $(".black_overlay").fadeIn();
                $(".black_overlay > .incorrect_test").fadeIn();
            }
        }
    }

}

//
// END
//
//istorijos pirmas zemelapis
$(document).ready(function() {

    function startAgression() {
        if (obj.germany === 1 && obj.italy === 1) {
            obj.germany = 0;
            obj.italy = 0;
            $("#agressionField").fadeIn(600);
        }
    }

    function endAgression() {
        $('#plane').fadeIn(1000);
        $("#plane").animate({left: '+=325', top: '-=89'}, 3000, '', function() {
            $('#sutartis').fadeIn(1000)
        });
        obj.endAgress = 1;
        $("#agressionField").fadeOut(600);
        $("#fromItaly").fadeOut(600);
        $("#fromGermany").fadeOut(600);
        $("#fromGermanyLong").fadeIn(600);
    }

    function repeatAgression() {
        $("#agressionField").fadeOut(600);
    }

    var obj = {
        italy: 0,
        germany: 0,
        endAgress: 0
    };

    $("#germany").mouseover(function() {
        $("#germany_hint").fadeIn(600);
    });
    $("#germany").mouseout(function() {
        obj.germany = 1;
        $("#germany_hint").fadeOut(600);
        if (obj.endAgress !== 1) {
            startAgression();
        }
    });

    $("#italy").mouseover(function() {
        $("#italy_hint").fadeIn(600);
    });
    $("#italy").mouseout(function() {
        obj.italy = 1;
        $("#italy_hint").fadeOut(600);
        if (obj.endAgress !== 1) {
            startAgression();
        }
    });

    $("#repeatAgress").click(function() {
        repeatAgression();
    });

    $("#endAgress").click(function() {
        endAgression();
    });

    $("#molotov").mouseover(function() {
        $("#ribentrop_info").fadeOut('', function() {
            $("#slaptas_info").fadeOut('', function() {
                $("#nepuolimas_info").fadeOut('', function() {
                    $("#molotov_info").stop().fadeIn()
                });
            });
        });
    });

    $("#molotov").mouseout(function() {
        $("#molotov_info").stop().fadeOut();
    });

    $("#ribentrop").mouseover(function() {
        $("#molotov_info").fadeOut('', function() {
            $("#slaptas_info").fadeOut('', function() {
                $("#nepuolimas_info").fadeOut('', function() {
                    $("#ribentrop_info").stop().fadeIn()
                });
            });
        });
    });

    $("#ribentrop").mouseout(function() {
        $("#ribentrop_info").stop().fadeOut();
    });

    $("#slaptas").mouseover(function() {
        $("#molotov_info").fadeOut('', function() {
            $("#ribentrop_info").fadeOut('', function() {
                $("#nepuolimas_info").fadeOut('', function() {
                    $("#slaptas_info").stop().fadeIn()
                });
            });
        });
    });

    $("#slaptas").mouseout(function() {
        $("#slaptas_info").stop().fadeOut();
    });

    $("#nepuolimas").mouseover(function() {
        $("#molotov_info").fadeOut('', function() {
            $("#ribentrop_info").fadeOut('', function() {
                $("#slaptas_info").fadeOut('', function() {
                    $("#nepuolimas_info").stop().fadeIn()
                });
            });
        });
    });

    $("#nepuolimas").mouseout(function() {
        $("#nepuolimas_info").stop().fadeOut();
    });

    $('.close_cinema').click(function() {
        $(".cinema_full").fadeOut();
    });

    $('#sutartis').click(function() {
        $(".cinema_full").fadeIn();
    });
});

//istorijos antra tema, rodo/slepia info
$(document).ready(function() {
    $("#show_more_history").click(function() {
        $("#change_text3").fadeIn();
    });

    $("#show_all_history").click(function() {
        $("#change_text4").fadeIn();
    });

    $("#show_all_left").click(function() {
        $("#left_half_dots").fadeToggle();
        $("#left_half_full").fadeToggle();
    });

    $("#show_all_right").click(function() {
        $("#right_half_dots").fadeToggle();
        $("#right_half_full").fadeToggle();
    });

});

//garsiakalbio ikonos hoveris
$(document).ready(function() {

    $("#speaker_ch").mouseover(function() {
        $("#speaker_ch").attr("src", "img/main/speaker_ico_active.png");
    });

    $("#speaker_ch").mouseout(function() {
        $("#speaker_ch").attr("src", "img/main/speaker_ico.png");
    });

    $("#speaker_ch_cik").mouseover(function() {
        $("#speaker_ch_cik").attr("src", "img/speaker_ico_active.png");
    });

    $("#speaker_ch_cik").mouseout(function() {
        $("#speaker_ch_cik").attr("src", "img/speaker_ico.png");
    });


});

//sudelioja random'u atsakymus
function getRandomAnsw(arg) {
    var answ = '';
    arg.sort(function() {
        return 0.5 - Math.random();
    });
    $.each(arg, function(key, value) {
        answ = answ + value;
    });
    return answ;
}

//sudelioja randomu klausimus
function getRandomas(arg) {
    arg.sort(function() {
        return 0.5 - Math.random();
    });

    $.each(arg, function(key, value) {
        //value = value.replace("TESTNR", "nr" + (key + 1));
        $("div#rand_atsakymai").append(value);
    });
}

//dropdown list
//
$(document).ready(function() {

    var active_dropdown = null;

    $(".select_list").click(function() {
        $(".select_list").each(function() {
            $(this).next("ul").slideUp();
        });
        var options_id = $(this).attr("id");
        active_dropdown = options_id;
        $(this).next("ul").slideToggle();
    });

    $("ul.list_options li").click(function() {
        $("#" + active_dropdown + "_txt").text($(this).text());
        $("#" + active_dropdown).next("ul").slideToggle();
    });

});
//
//dropdown list

$(document).ready(function() {
    $("#skandinavijos_pus").click(function() {
        $("#apledejimas_teorine_2").fadeOut("", function() {
            $("#a2").fadeIn();
            $("#a2_smallpics").fadeIn();
            $("#a2_big").fadeIn();
            $("#just_2ab").fadeIn();
        });
    });

    $("#ledyno_galas").click(function() {
        $("#apledejimas_teorine_2").fadeOut("", function() {
            $("#b2").fadeIn();
            $("#b2_big").fadeIn();
            $("#just_2ab").fadeIn();
        });
    });

    $("#hideShowApledejimas").click(function() {
        $("#a2").fadeOut("", function() {
            $("#a2_smallpics").fadeOut("", function() {
                $("#a2_big").fadeOut("", function() {
                    $("#b2").fadeOut("", function() {
                        $("#b2_big").fadeOut("", function() {
                            $("#apledejimas_teorine_2").fadeIn();
                            $("#just_2ab").fadeOut();
                        });
                    });
                });
            });
        });
    });

});

function getRandomAnsw(arg) {
    var answ = '';
    arg.sort(function() {
        return 0.5 - Math.random();
    });
    $.each(arg, function(key, value) {
        answ = answ + value;
    });
    return answ;
}

function getRandom(arg) {

    arg.sort(function() {
        return 0.5 - Math.random();
    });

    $.each(arg, function(key, value) {
        value = value.replace("TESTNR", "nr" + (key + 1));
        $("#kontrolinis_testas").append(value);
    });
}



$(document).ready(function() {

    $('#plus').click(function() {
        $('body').transition({scale: ($('body').css('scale') + 0.1)});

    });
    $('#minus').click(function() {
        $('body').transition({scale: ($('body').css('scale') - 0.1)});
    });

    $("#minus").hover(
            function() {
                $(this).attr("src", 'img/main/minusasHover.png');
            },
            function() {
                $(this).attr("src", 'img/main/minusasHoverno.png');
            }
    );

    $("#plus").hover(
            function() {
                $(this).attr("src", 'img/main/pliusasHover.png');
            },
            function() {
                $(this).attr("src", 'img/main/pliusasHoverno.png');
            }
    );

    $('#plus_cik').click(function() {
        $('body').transition({scale: ($('body').css('scale') + 0.1)});
    });
    $('#minus_cik').click(function() {
        $('body').transition({scale: ($('body').css('scale') - 0.1)});
    });

    $("#minus_cik").hover(
            function() {
                $(this).attr("src", 'img/minusasHover.png');
            },
            function() {
                $(this).attr("src", 'img/minusasHoverno.png');
            }
    );

    $("#plus_cik").hover(
            function() {
                $(this).attr("src", 'img/pliusasHover.png');
            },
            function() {
                $(this).attr("src", 'img/pliusasHoverno.png');
            }
    );

});

//***********ES teorijos menu***
$(document).ready(function() {

    function fadeinout(element, action) {
        if (action === "in") {
            $(element).fadeIn();
        }
        else if (action === "out") {
            if ($(element).attr("id") !== "active_date")
                $(element).fadeOut();
        }
    }

//***** 1950 *****
    $("#date_1950").mouseover(function() {
        fadeinout(".date_1950", "in");
    });

    $(".date_1950").mouseout(function() {
        fadeinout(".date_1950", "out");
    });

//***** 1951 *****
    $("#date_1951").mouseover(function() {
        fadeinout(".date_1951", "in");
    });

    $(".date_1951").mouseout(function() {
        fadeinout(".date_1951", "out");
    });

//***** 1957 *****
    $("#date_1957").mouseover(function() {
        fadeinout(".date_1957", "in");
    });

    $(".date_1957").mouseout(function() {
        fadeinout(".date_1957", "out");
    });

//***** 1967 *****
    $("#date_1967").mouseover(function() {
        fadeinout(".date_1967", "in");
    });

    $(".date_1967").mouseout(function() {
        fadeinout(".date_1967", "out");
    });

//***** 1993 *****
    $("#date_1993").mouseover(function() {
        fadeinout(".date_1993", "in");
    });

    $(".date_1993").mouseout(function() {
        fadeinout(".date_1993", "out");
    });

});
//***********ES teorijos menu***

//**********ES uzduotis nr7***********

$(document).ready(function() {

    function clearBorder() {
        $("#es7_1_city").css("border", "3px solid #c2c2c2");
        $("#es7_2_city").css("border", "3px solid #c2c2c2");
        $("#es7_3_city").css("border", "3px solid #c2c2c2");
        $("#es7_4_city").css("border", "3px solid #c2c2c2");
    }

    function clearPId() {
        $("#es7_1_city p").attr("id", "");
        $("#es7_2_city p").attr("id", "");
        $("#es7_3_city p").attr("id", "");
        $("#es7_4_city p").attr("id", "");
    }

    $("#es7_1").click(function() {
        clearBorder();
        $("#es7_1_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_1_city p").attr("id", "selected");
    });

    $("#es7_2").click(function() {
        clearBorder();
        $("#es7_2_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_2_city p").attr("id", "selected");
    });

    $("#es7_3").click(function() {
        clearBorder();
        $("#es7_3_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_3_city p").attr("id", "selected");
    });

    $("#es7_4").click(function() {
        clearBorder();
        $("#es7_4_city").css("border", "3px solid #ffba00");
        clearPId();
        $("#es7_4_city p").attr("id", "selected");
    });

    $(".city_point").click(function() {
        $("#selected").text($(this).children().text());
    });
});

//**********ES uzduotis nr7***********

//**********ES kurybine uzduotis *************
$(document).ready(function() {
    $('.img_upload').bind("click", function() {
        $('#files').click();
    });

    $('.img_upload2').bind("click", function() {
        $('#files2').click();
    });

    $('.img_upload3').bind("click", function() {
        $('#files3').click();
    });
});
//**********ES kurybine uzduotis *************

//***********Sandura kurybines upload***************
$(document).ready(function() {
    $('#sandura_upload_1').bind("click", function() {
        $('#files1').click();
    });
    $('#sandura_upload_2').bind("click", function() {
        $('#files2').click();
    });
    $('#sandura_upload_3').bind("click", function() {
        $('#files3').click();
    });
    $('#sandura_upload_4').bind("click", function() {
        $('#files4').click();
    });
    $('#sandura_upload_5').bind("click", function() {
        $('#files5').click();
    });
    $('#sandura_upload_6').bind("click", function() {
        $('#files6').click();
    });
    $('#sandura_upload_7').bind("click", function() {
        $('#files7').click();
    });
    $('#sandura_upload_8').bind("click", function() {
        $('#files8').click();
    });
    $('#sandura_upload_9').bind("click", function() {
        $('#files9').click();
    });

    $("img#sandura_upl_1_rem").click(function() {
        alert("asas");
        console.log($(this).attr("id").text.replace("_rem"));
    });

});
//***********Sandura kurybines upload***************

//*****************sandura islandija*************
$(document).ready(function() {
    $(".islandija").click(function() {
        $(".islandija_active").fadeIn();
    });
});
//*****************sandura islandija*************



